/*
Copyright 2023, Savanni D'Gerinel <savanni@luminescent-dreams.com>

This file is part of FitnessTrax.

FitnessTrax is free software: you can redistribute it and/or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

FitnessTrax is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along with FitnessTrax. If not, see <https://www.gnu.org/licenses/>.
*/

use glib::Object;
use gtk::subclass::prelude::*;

pub struct PlaceholderViewPrivate {}

#[glib::object_subclass]
impl ObjectSubclass for PlaceholderViewPrivate {
    const NAME: &'static str = "PlaceholderView";
    type Type = PlaceholderView;
    type ParentType = gtk::Box;

    fn new() -> Self {
        Self {}
    }
}

impl ObjectImpl for PlaceholderViewPrivate {}
impl WidgetImpl for PlaceholderViewPrivate {}
impl BoxImpl for PlaceholderViewPrivate {}

glib::wrapper! {
    pub struct PlaceholderView(ObjectSubclass<PlaceholderViewPrivate>) @extends gtk::Box, gtk::Widget;
}

impl Default for PlaceholderView {
    fn default() -> Self {
        let s: Self = Object::builder().build();
        s
    }
}
